xine-lib: mpeg2_sequence_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
mpeg2_sequence_s Struct Reference

`#include <mpeg2.h>`

## Data Fields
unsigned int | width
unsigned int | height
unsigned int | chroma_width
unsigned int | chroma_height
unsigned int | byte_rate
unsigned int | vbv_buffer_size
uint32_t | flags
unsigned int | picture_width
unsigned int | picture_height
unsigned int | display_width
unsigned int | display_height
unsigned int | pixel_width
unsigned int | pixel_height
unsigned int | frame_period
uint8_t | profile_level_id
uint8_t | colour_primaries
uint8_t | transfer_characteristics
uint8_t | matrix_coefficients

## Field Documentation

## ◆ byte_rate

unsigned int mpeg2_sequence_s::byte_rate

Referenced by finalize_sequence(), mpeg2_header_sequence(), mpeg2_video_decode_data(), and sequence_ext().

## ◆ chroma_height

unsigned int mpeg2_sequence_s::chroma_height

Referenced by mpeg2_header_sequence(), mpeg2_header_sequence_finalize(), and sequence_ext().

## ◆ chroma_width

unsigned int mpeg2_sequence_s::chroma_width

Referenced by mpeg2_header_sequence(), mpeg2_header_sequence_finalize(), and sequence_ext().

## ◆ colour_primaries

uint8_t mpeg2_sequence_s::colour_primaries

Referenced by mpeg2_header_sequence(), and sequence_display_ext().

## ◆ display_height

unsigned int mpeg2_sequence_s::display_height

Referenced by finalize_sequence(), mpeg2_guess_aspect(), mpeg2_header_sequence(), sequence_display_ext(), and sequence_ext().

## ◆ display_width

unsigned int mpeg2_sequence_s::display_width

Referenced by finalize_sequence(), mpeg2_guess_aspect(), mpeg2_header_sequence(), sequence_display_ext(), and sequence_ext().

## ◆ flags

uint32_t mpeg2_sequence_s::flags

Referenced by finalize_sequence(), mpeg2_guess_aspect(), mpeg2_header_end(), mpeg2_header_picture_finalize(), mpeg2_header_sequence(), mpeg2_header_sequence_finalize(), mpeg2_set_fbuf(), mpeg2_video_decode_data(), picture_coding_ext(), picture_display_ext(), sequence_display_ext(), and sequence_ext().

## ◆ frame_period

unsigned int mpeg2_sequence_s::frame_period

Referenced by mpeg2_header_sequence(), mpeg2_video_decode_data(), and sequence_ext().

## ◆ height

unsigned int mpeg2_sequence_s::height

Referenced by mpeg2_header_picture_finalize(), mpeg2_header_sequence(), mpeg2_header_sequence_finalize(), and sequence_ext().

## ◆ matrix_coefficients

uint8_t mpeg2_sequence_s::matrix_coefficients

Referenced by mpeg2_header_sequence(), and sequence_display_ext().

## ◆ picture_height

unsigned int mpeg2_sequence_s::picture_height

Referenced by mpeg2_guess_aspect(), mpeg2_header_sequence(), mpeg2_header_sequence_finalize(), mpeg2_video_decode_data(), and sequence_ext().

## ◆ picture_width

unsigned int mpeg2_sequence_s::picture_width

Referenced by mpeg2_guess_aspect(), mpeg2_header_sequence(), mpeg2_video_decode_data(), and sequence_ext().

## ◆ pixel_height

unsigned int mpeg2_sequence_s::pixel_height

Referenced by finalize_sequence(), and mpeg2_guess_aspect().

## ◆ pixel_width

unsigned int mpeg2_sequence_s::pixel_width

Referenced by finalize_sequence(), mpeg2_guess_aspect(), mpeg2_header_sequence(), and mpeg2_video_decode_data().

## ◆ profile_level_id

uint8_t mpeg2_sequence_s::profile_level_id

Referenced by mpeg2_header_sequence(), and sequence_ext().

## ◆ transfer_characteristics

uint8_t mpeg2_sequence_s::transfer_characteristics

Referenced by mpeg2_header_sequence(), and sequence_display_ext().

## ◆ vbv_buffer_size

unsigned int mpeg2_sequence_s::vbv_buffer_size

Referenced by mpeg2_header_sequence(), and sequence_ext().

## ◆ width

unsigned int mpeg2_sequence_s::width

Referenced by mpeg2_header_sequence(), mpeg2_header_sequence_finalize(), mpeg2_header_state_init(), mpeg2_init(), mpeg2_seek_header(), mpeg2_stride(), and sequence_ext().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/video_dec/libmpeg2new/include/mpeg2.h